using System;

namespace Zadatak3
{
	class Program
	{
		public static int bc(int x)
		{
			int c=0;
			if(x==0)
				return 1;
			while(x>0)
			{
				c++;
				x=x/10;
			}
			return c;
		}
		public static int proizvodc(int x)
		{
			if(x==0)
			{
				return 0;
			}
			
			int p=1;
			
			while(x>0)
			{
				p*=x%10;
				x=x/10;
			}
			
			return p;
		}
		
		
		
		public static void Main(string[] args)
		{
			int n=int.Parse(Console.ReadLine());
			int[] x=new int[n];
			for(int i=0;i<n;i++)
				x[i]=int.Parse(Console.ReadLine());
			
			for(int i=0;i<n;i++)
			{
				int r=0;
				
				for(int j=1;j<=x[i];j++)
				{
					
						int pc=proizvodc(j);
						
						bool pr=true;
						
						for(int l=1;l<=j-1;l++)
						{
							int pc1=proizvodc(l);
							
							if(pc1==pc)
							{
								pr=false;
								
							}
						}
						
						if(pr)
							r++;
					
					
				}
				Console.WriteLine(r);
			}
			
			
			
			
			
		}
	}
}